Bug 1342614 - password history is not updated when an admin resets the password
Summary: password history is not updated when an admin resets the password
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1332710
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-03 16:37 UTC by Jan Kurik
Modified: 2019-11-14 08:16 UTC (History)
8 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-75.el6_8
Doc Type: Bug Fix
Doc Text:
When a user password was reset by an administrator, the old password was previously not stored in the user's password history. This allowed the user to reuse the same password after the reset. With this update, resetting a password also stores it in password history, and the user must use a different password.
Clone Of: 1332710
Environment:
Last Closed: 2016-07-12 18:34:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1404 0 normal SHIPPED_LIVE 389-ds-base bug fix update 2016-07-12 22:29:49 UTC

Description Jan Kurik 2016-06-03 16:37:03 UTC
This bug has been copied from bug #1332710 and has been proposed
to be backported to 6.8 z-stream (EUS).

Comment 5 Punit Kundal 2016-07-05 11:17:27 UTC
RHEL:
RHEL 6.8 x86_64 Server
     
DS builds:
[0 root@qeos-127 ~]# rpm -qa | grep 389
389-ds-base-1.2.11.15-75.el6_8.x86_64
389-ds-base-libs-1.2.11.15-75.el6_8.x86_64

[0 root@qeos-127 ~]# py.test -v /export/tests/suites/password/pwp_history_test.py 

======================== test session starts ===================================
platform linux2 -- Python 2.7.8, pytest-2.9.2, py-1.4.31, pluggy-0.3.1 -- /opt/rh/python27/root/usr/bin/python
cachedir: ../export/tests/suites/password/.cache
rootdir: /export/tests/suites/password, inifile: 
plugins: html-1.9.0, cov-2.2.1

collected 1 items 

../export/tests/suites/password/pwp_history_test.py::test_pwp_history_test PASSED

================================ 1 passed in 36.47 seconds ====================

Comment 7 errata-xmlrpc 2016-07-12 18:34:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1404


Note You need to log in before you can comment on or make changes to this bug.